# Ogre::GLFrameBufferObject Class Reference

Frame Buffer Object abstraction. More...

`#include <OgreGLFrameBufferObject.h>`

List of all members.

## Public Member Functions

| GLFrameBufferObject (GLFBOManager *manager)
| ~GLFrameBufferObject ()
void | bindSurface (size_t attachment, const GLSurfaceDesc &target)
| Bind a surface to a certain attachment point.
void | unbindSurface (size_t attachment)
| Unbind attachment.
void | bind ()
| Bind FrameBufferObject.
size_t | getWidth ()
| Accessors.
size_t | getHeight ()
PixelFormat | getFormat ()
GLFBOManager * | getManager ()
const GLSurfaceDesc & | getSurface (size_t attachment)

## Private Member Functions

void | initialise ()
| Initialise object (find suitable depth and stencil format).

## Private Attributes

GLFBOManager * | mManager
GLuint | mFB
GLSurfaceDesc | mDepth
GLSurfaceDesc | mStencil
GLSurfaceDesc | mColour [OGRE_MAX_MULTIPLE_RENDER_TARGETS]

## Detailed Description

Frame Buffer Object abstraction.

Definition at line 35 of file OgreGLFrameBufferObject.h.

## Constructor & Destructor Documentation

Ogre::GLFrameBufferObject::GLFrameBufferObject | ( | GLFBOManager * | manager | ) |

Ogre::GLFrameBufferObject::~GLFrameBufferObject | ( |  | ) |

## Member Function Documentation

void Ogre::GLFrameBufferObject::bind | ( |  | ) |

| Bind FrameBufferObject.

void Ogre::GLFrameBufferObject::bindSurface | ( | size_t | attachment,
|  | const GLSurfaceDesc & | target
| ) |

| Bind a surface to a certain attachment point. attachment: 0..OGRE_MAX_MULTIPLE_RENDER_TARGETS-1

PixelFormat Ogre::GLFrameBufferObject::getFormat | ( |  | ) |

size_t Ogre::GLFrameBufferObject::getHeight | ( |  | ) |

GLFBOManager* Ogre::GLFrameBufferObject::getManager | ( |  | ) |

| Definition at line 58 of file OgreGLFrameBufferObject.h. References mManager.

const GLSurfaceDesc& Ogre::GLFrameBufferObject::getSurface | ( | size_t | attachment | ) |

| Definition at line 59 of file OgreGLFrameBufferObject.h. References mColour.

size_t Ogre::GLFrameBufferObject::getWidth | ( |  | ) |

| Accessors.

void Ogre::GLFrameBufferObject::initialise | ( |  | ) | `[private]`

Initialise object (find suitable depth and stencil format).

Must be called every time the bindings change. It fails with an exception (ERR_INVALIDPARAMS) if:

- Attachment point 0 has no binding
- Not all bound surfaces have the same size
- Not all bound surfaces have the same internal format

void Ogre::GLFrameBufferObject::unbindSurface | ( | size_t | attachment | ) |

| Unbind attachment.

## Member Data Documentation

GLSurfaceDesc Ogre::GLFrameBufferObject::mColour[OGRE_MAX_MULTIPLE_RENDER_TARGETS]`[private]`

| Definition at line 66 of file OgreGLFrameBufferObject.h. Referenced by getSurface().

GLSurfaceDesc Ogre::GLFrameBufferObject::mDepth `[private]`

| Definition at line 63 of file OgreGLFrameBufferObject.h.

GLuint Ogre::GLFrameBufferObject::mFB `[private]`

| Definition at line 62 of file OgreGLFrameBufferObject.h.

GLFBOManager* Ogre::GLFrameBufferObject::mManager `[private]`

| Definition at line 61 of file OgreGLFrameBufferObject.h. Referenced by getManager().

GLSurfaceDesc Ogre::GLFrameBufferObject::mStencil `[private]`

| Definition at line 64 of file OgreGLFrameBufferObject.h.

The documentation for this class was generated from the following file:

- OgreGLFrameBufferObject.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:48:33 2006